io.netty.handler.proxy

## Class HttpProxyHandler.HttpProxyConnectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.net.SocketException
        - - java.net.ConnectException
          - - io.netty.handler.proxy.ProxyConnectException
            - - io.netty.handler.proxy.HttpProxyHandler.HttpProxyConnectException

All Implemented Interfaces:
  Serializable

Enclosing class:
  HttpProxyHandler

    public static final class HttpProxyHandler.HttpProxyConnectException
    extends ProxyConnectException

Specific case of a connection failure, which may include headers from the proxy.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HttpProxyConnectException(String message, io.netty.handler.codec.http.HttpHeaders headers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.netty.handler.codec.http.HttpHeaders` `headers()` Returns headers, if any.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpProxyConnectException

    public HttpProxyConnectException(String message,
                                     io.netty.handler.codec.http.HttpHeaders headers)

Parameters:
  `message` - The failure message.
  `headers` - Header associated with the connection failure. May be `null`.

### Method Detail

#### headers

    public io.netty.handler.codec.http.HttpHeaders headers()

Returns headers, if any. May be `null`.